load_datafile_object_indexed(3)

NAME
load_datafile_object_indexed - Loads a single object from a datafile index. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

DATAFILE *load_datafile_object_indexed(const DATAFILE_INDEX *index, int item)

DESCRIPTION
This loads a single object, using the index created previously with create_datafile_index. See create_datafile_index for an example.

RETURN VALUE
Returns a pointer to a single DATAFILE element whose "dat" member points to the object, or NULL if the object could not be loaded.

SEE ALSO
create_datafile_index(3), load_datafile_object(3), unload_datafile_object(3)